JavaScript::QuickJS::Function(3pm)

NAME
JavaScript::QuickJS::Function - JavaScript `Function` in Perl

SYNOPSIS
    my $func = JavaScript::QuickJS->new()->eval("() => 123");

    print $func->();    # prints “123”; note overloading :)

DESCRIPTION
This class represents a JavaScript Function <https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Function> instance in Perl.

This class is not instantiated directly.

OVERLOADING
For convenience, instances of this class are callable as Perl code references. This is equivalent to a call() with $this_sv (see below) set to undef.

See the "SYNOPSIS" above for an example.

INVOCATION METHODS

  $ret = OBJ->call( $this_sv, @arguments )
Like JavaScript’s method of the same name.

ACCESSOR METHODS
The following methods return their corresponding JS property:

•   length()

•   name()